libidn 1.43

Macros | Functions
strerror-tld.c File Reference
`#include "tld.h"`
`#include "gettext.h"`

Go to the source code of this file.

## Macros
#define | _(String)

## Functions
const char * | tld_strerror (Tld_rc rc)

## Macro Definition Documentation

## ◆ _

#define _ | ( |  | String | ) |

Value:
dgettext (PACKAGE, String)

Definition at line 37 of file strerror-tld.c.

## Function Documentation

## ◆ tld_strerror()

const char * tld_strerror | ( | Tld_rc | rc | ) |

tld_strerror:

Parameters

  rc | tld return code

Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

TLD_SUCCESS: Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes. TLD_INVALID: Invalid character found. TLD_NODATA: No input data was provided. TLD_MALLOC_ERROR: Error during memory allocation. TLD_ICONV_ERROR: Character encoding conversion error. TLD_NO_TLD: No top-level domain found in domain string.

Return value: Returns a pointer to a statically allocated string containing a description of the error with the return code @rc.

Definition at line 59 of file strerror-tld.c.